import 'package:dartz/dartz.dart';
import '../../core/error/failures.dart';
import '../models/vacations_list_response_model.dart';
import '../repositories/vacation_repository.dart';

class GetVacationsUseCase {
  final VacationRepository repository;

  GetVacationsUseCase({required this.repository});

  Future<Either<Failure, VacationsListResponseModel>> call() {
    return repository.getVacations();
  }
}
